<h2><%=l(:label_activity)%>: <%= "#{month_name(@month).downcase} #{@year}" %></h2>

<% @events_by_day.keys.sort {|x,y| y <=> x }.each do |day| %>
  <h3><%= day_name(day.cwday) %> <%= day.day %></h3>
  <ul>
  <% @events_by_day[day].sort {|x,y| y.event_datetime <=> x.event_datetime }.each do |e| %>
    <li><p><%= e.event_datetime.strftime("%H:%M") %> <%= link_to truncate(e.event_title, 100), e.event_url %><br />
    <% unless e.event_description.blank? %><em><%= truncate(e.event_description, 500) %></em><br /><% end %>
    <span class="author"><%= e.event_author if e.respond_to?(:event_author) %></span></p></li>
  <% end %>
  </ul>
<% end %>

<% if @events_by_day.empty? %><p class="nodata"><%= l(:label_no_data) %></p><% end %>

<div style="float:left;">
<% prev_params = params.clone.update :year => (@month==1 ? @year-1 : @year), :month =>(@month==1 ? 12 : @month-1) %>
<%= link_to_remote ('&#171; ' + (@month==1 ? "#{month_name(12)} #{@year-1}" : "#{month_name(@month-1)}")), 
                    {:update => "content", :url => prev_params}, {:href => url_for(prev_params)} %>
</div>
<div style="float:right;">
<% next_params = params.clone.update :year => (@month==12 ? @year+1 : @year), :month =>(@month==12 ? 1 : @month+1) %>
<%= link_to_remote ((@month==12 ? "#{month_name(1)} #{@year+1}" : "#{month_name(@month+1)}") + ' &#187;'), 
                    {:update => "content", :url => next_params}, {:href => url_for(next_params)} %>
&nbsp;
</div>
<br />

<% content_for :header_tags do %>
<%= auto_discovery_link_tag(:atom, params.merge({:format => 'atom', :year => nil, :month => nil, :key => User.current.rss_key})) %>
<% end %>

<% content_for :sidebar do %>
<% form_tag do %>
<h3><%= l(:label_activity) %></h3>
<p><% @event_types.each do |t| %>
<label><%= check_box_tag "show_#{t}", 1, @scope.include?(t) %> <%= l("label_#{t.singularize}_plural")%></label><br />
<% end %></p>
<p><%= submit_tag l(:button_apply), :class => 'button-small' %></p>
<% end %>
<% end %>
